# ReaderWriterPIC.cpp File Reference

`#include <osg/Image>`
`#include <osg/Notify>`
`#include <osg/Geode>`
`#include <osg/GL>`
`#include <osgDB/Registry>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`

Include dependency graph for ReaderWriterPIC.cpp:

## Defines

#define | ERROR_NO_ERROR 0
#define | ERROR_READING_HEADER 1
#define | ERROR_READING_PALETTE 2
#define | ERROR_MEMORY 3
#define | ERROR_READ_ERROR 4

## Functions

int | simage_pic_error (char *buffer, int bufferlen)
int | simage_pic_identify (const char *, const unsigned char *header, int headerlen)
unsigned char * | simage_pic_load (const char *filename, int *width_ret, int *height_ret, int *numComponents_ret)

## Variables

osgDB::RegisterReaderWriterProxy< ReaderWriterPIC > | g_readerWriter_PIC_Proxy

## Define Documentation

#define ERROR_MEMORY 3

#define ERROR_NO_ERROR 0

#define ERROR_READ_ERROR 4

#define ERROR_READING_HEADER 1

#define ERROR_READING_PALETTE 2

## Function Documentation

int simage_pic_error | ( | char * | buffer,
|  | int | bufferlen
| ) |

int simage_pic_identify | ( | const char * | ,
|  | const unsigned char * | header,
|  | int | headerlen
| ) |

unsigned char* simage_pic_load | ( | const char * | filename,
|  | int * | width_ret,
|  | int * | height_ret,
|  | int * | numComponents_ret
| ) |

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterPIC> g_readerWriter_PIC_Proxy